Jump to content
  • 0

MacOS - Base ne s'ouvre pas (version de FMP incompatible)


Alsete
 Share

Question

Bonjour à tous,

J'ai sur mon Mac deux versions d'OS : Catalina 10.15 (à jour) / FMP 19.2 et Monterrey 12.3.1 (à jour également) / FMP 19.4

J'ai créé une base sous Catalina, mais je ne parviens pas à l'ouvrir sous Monterrey.

J'obtiens un message d'erreur à l'ouverture de la base (voir PJ)

Quelqu'un a-t-il rencontré ce problème ou aurait une solution à me proposer ?

Merci d'avance.

 

FMP - Monterrey.jpg

Link to comment
Share on other sites

19 answers to this question

Recommended Posts

  • 1

si le problème vient deja au lancement de FMP c'est que ca ne vient pas d'une base en particulier donc.....

en parlant de MENU-->FICHIER-->OUVRIR je voulais dire DEPUIS FMP pas depuis le finder

il est ptet temps d'envisager de désinstaller proprement tous tes FMP, avec une app comme AppCleaner, rebooter et re-installer, apres avoir vérifier que plus rien ne traine dans Bibliothèque concernant FMP

Link to comment
Share on other sites

  • 1

la ré-installtion a surement rafraîchit les liens "documents/application" de l'index Mac.....

Vu comme ca, une petite maintenance avec OnyxMac aurait pu solutionner cela, ou une re-contruction du bureau "à l'ancienne" lors du boot de la machine 🙂

Link to comment
Share on other sites

  • 1

Le fichier a probablement été créé via la "Quick Start Experience", et donc la version minimale a été définie à 19.2 (options de fichier)

image.png.d49a771754fdea28d6a17cc4647fca30.png

 

S'ils ne contiennent rien de secret, envoyez-moi les fichiers avec compte full access et je vous les changerai.

 

Link to comment
Share on other sites

  • 0

Salut

wow ca c'est étrange.....

FMP 19.0->19.3 est compatible Catalina donc tout va bien

Pour Monterey, officiellement, il n'apparait pas dans les pré-requis de FMP.....

https://support.claris.com/s/article/Claris-FileMaker-19-Technical-Specifications?language=en_US

après Claris dit ca :

1982849221_Capturedcran2022-06-1309_27_58.png.fd7db86fec2fa02d2523d155e7ed696a.png

Link to comment
Share on other sites

  • 0

chez Winsoft Monterey est effectivement supporté par la 19.4

692770493_Capturedcran2022-06-1309_32_17.thumb.png.db41665d442f0de5868e06c3e308ad0e.png

Link to comment
Share on other sites

  • 0

as-tu essayé d'utiliser la 19.4 sous Catalina?

Link to comment
Share on other sites

  • 0

Merci gpto pour tes réponses.

J'ai commis une erreur dans l'intitulé de ma question :

Sous Catalina : FMP 19.4.2

Sous Monterrey : FMP 19.4.1

D'autres bases de données plus anciennes (vraisemblablement créées avec FMP 19.2 si je me fie à leur date de création) occasionnent également le message d'erreur précédemment cité, et si je fais directement un double-clic sur l'icône de l'application FMP, j'ai un autre message d'erreur m'indiquant que l'application ne peut être ouverte. Donc je ne peux pas mettre à jour FMP 19.4.1 vers FMP 19.4.2.

J'ai mis en œuvre des outils de maintenance : Utilitaire de disque, Malwarebyte, onyX et EtreCheck, ce dernier a détecté que FMP plantait et m'a fourni un compte-rendu détaillé en langage ésotérique, que je devrais soumettre sur le forum macG, car si je suis le seul à rencontrer ce problème et que Claris dit que tout devrait bien aller, je suis peut-être face à un problème système ou une erreur d'écriture de la mise à jour de FMP ?

Je ne sais pas s'il est possible de réinstaller FMP depuis le site de Claris, je n'y vois pas de lien vers un support de téléchargement.

Et je ne dispose pas de versions antérieures à FMP 19.4.1 dans mes sauvegardes TimeMachine.

De plus, je ne sais pas de quand date le problème, ayant installé Monterrey sur une partition de mon disque dur sans jamais l'avoir vraiment utilisé, en tout cas pas pour faire usage de FMP.

Link to comment
Share on other sites

  • 0

J'ai fini par trouvé la page de MÀJ sur le site de Claris, je suis maintenant sous Monterrey / FMP 19.4.2 : le problème persiste ☹️

Link to comment
Share on other sites

  • 0

tes 2 os sont sur 2 machines différentes?

Même machine avec 2 partitions différentes?

TU sembles avoir un problème plus globale de ton install, ce message étrange en est la résultante mais a mon avis pas directement lié...

Qu'est-ce qui t'empêche d'avoir les 2 mêmes versions sur les les 2 Os?

Et-ce la même résultat en faisant un double-clic sur le fichier .fmp12 qu'en utilisant MENU-> OUVRIR?

Link to comment
Share on other sites

  • 0

tu peux aussi essayer de créer un nouveau compte utilisateur sur tes 2 os et voir ce qu'il se passe

Link to comment
Share on other sites

  • 0

Nos messages se sont croisés. Donc FMP mis à jour ➝ 19.4.2

Deux partitions système sur le disque dur interne des l'iMac.

FMP ne s'ouvre pas non plus avec la manœuvre "menu "Ouvrir".

 

Je vais créer les deux comptes utilisateur sur OS.

Link to comment
Share on other sites

  • 0

Ne pouvant pas ouvrir FMP, je ne peux donc pas ouvrir une base données en navigant dans l'arborisation des bases existantes sur mon disque dur.

J'utilise également AppCleaner.

Avant de réinstaller proprement FMP, il faut que je sois sûr de disposer mon n° de licence. Je ne sais plus si c'est parmi mes mails ou sur le site de Claris. Je vais chercher.

 

Link to comment
Share on other sites

  • 0

bon courage 🙂

Link to comment
Share on other sites

  • 0

Merci 👏

Je te tiens au courant.

Link to comment
Share on other sites

  • 0

Bonjour,

Pour le fichier concerné, avez-vous modifié les options de fichiers (Fichier > Options de fichier… ) à tout hasard.

Link to comment
Share on other sites

  • 0
Il y a 23 heures, David Julot a dit :

Bonjour,

Pour le fichier concerné, avez-vous modifié les options de fichiers (Fichier > Options de fichier… ) à tout hasard.

Bonjour David,

Oui, mais rien d'exotique : juste une icône personnelle et un déclencheur de script à l'ouverture pour le modèle à afficher et son adaptation à la taille du contenu.

J'ai suivi les instruction de gpto - à savoir réinstaller FMP, et même en version 19.5.1 (et le problème persistait) - et j'ai ouvert ma base via le sélecteur de base qui apparait lorsqu'on double-clique sur l'icône de FMP. Depuis lors, ma base s'ouvre normalement en cliquant directement dessus, plus de message d'erreur d'incompatibilité de version. Cette manœuvre a dû décoincer un truc qui restera sans doute à jamais inexpliqué...

Merci à gpto et David Julot pour leur aide précieuse 👍

Link to comment
Share on other sites

  • 0
Il y a 3 heures, gpto a dit :

la ré-installtion a surement rafraîchit les liens "documents/application" de l'index Mac.....

Vu comme ca, une petite maintenance avec OnyxMac aurait pu solutionner cela, ou une re-contruction du bureau "à l'ancienne" lors du boot de la machine 🙂

J'avais lancé onyX, ou plutôt sa version allégée "Maintenance". Donc ça avait dû vider les caches et reconstruire les catalogues des fichiers.

Reconstruction du bureau : c'est à dire "zapper la PRAM" ? Je tenterai ça si le problème viendrait à réapparaitre.

 

Il y a 2 heures, fabriceN a dit :

Le fichier a probablement été créé via la "Quick Start Experience", et donc la version minimale a été définie à 19.2 (options de fichier)

image.png.d49a771754fdea28d6a17cc4647fca30.png

 

S'ils ne contiennent rien de secret, envoyez-moi les fichiers avec compte full access et je vous les changerai.

 

Je crois comprendre : une nouvelle technologie de création rapide de base apparue sous FMP 19.2 et qui aurait créé ma base sous un protocole susceptible de ne pas avoir été reconnu par une autre version de FMP ?

https://support.claris.com/s/article/Quick-Start-Experience?language=en_US

Mais bon, j'ai pu relancer toutes mes bases anciennes créées sous 19.2 ou antérieures, ça ne devrait plus se produire a priori.

Link to comment
Share on other sites

  • 0
il y a 10 minutes, Alsete a dit :

Mais bon, j'ai pu relancer toutes mes bases anciennes créées sous 19.2 ou antérieures, ça ne devrait plus se produire a priori.

Mais comment avez-vous réglé le problème ? est-ce que la défragmentation, la fusion nucléaire, l'upgrade du soft du switch… ont changé quelque chose ?

Link to comment
Share on other sites

  • 0
il y a 1 minute, fabriceN a dit :

Mais comment avez-vous réglé le problème ? est-ce que la défragmentation, la fusion nucléaire, l'upgrade du soft du switch… ont changé quelque chose ?

Je n'ai pas tenté la fusion nucléaire, les risques liés à cette pratique n'étant pas couverts par mon assurance locative 😊

Cela a été résolu en n'ouvrant pas la base directement en double-cliquant sur leur icône, mais en ouvrant l'application FMP et en utilisant le menu de gestion des solutions où sont listées les solutions déjà créées. Là, ça s'est ouvert normalement, et je peux désormais ouvrir en cliquant sur l'icône de la solution.

J'avais mis à jour FMP 19.4.4 ➝FMP 19.5.1 auparavant, mais sans effet sur mon problème.

 

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Answer this question...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...